# TODO
# - save config to /etc:
# $ phpcs --config-set default_standard PEAR
# PHP Warning:  file_put_contents(/usr/share/pear/data/PHP_CodeSniffer/CodeSniffer.conf): failed to open stream: Permission denied in /usr/share/pear/PHP/CodeSniffer.php on line 1532
%define		status		stable
%define		pearname	PHP_CodeSniffer
%define		php_min_version 5.1.2
%include	/usr/lib/rpm/macros.php
Summary:	PHP_CodeSniffer tokenises PHP code and detects violations of a defined set of coding standards
Summary(pl.UTF-8):	PHP_CodeSniffer analizuje kod PHP pod kątem naruszeń zdefiniowanych standardów kodowania
Name:		php-pear-%{pearname}
Version:	1.4.7
Release:	1
Epoch:		1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	858665debdb37fb9a6af41e60e3bfe4a
Patch0:		case-sensitive.patch
Patch1:		peardeps.patch
URL:		http://pear.php.net/package/PHP_CodeSniffer/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(tokenizer)
Requires:	php-pear
Suggests:	php-phpunit-PHP_Timer
Obsoletes:	php-pear-PHP_CodeSniffer-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP_CodeSniffer is a PHP5 script that tokenises and "sniffs" PHP code
to detect violations of a defined set of coding standards. It is an
essential development tool that ensures that your code remains clean
and consistent. It can even help prevent some common semantic errors
made by developers.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
PHP_CodeSniffer jest skryptem PHP5 służącym do rozkładu tekstu kodu
PHP w celu wykrycia naruszeń pewnych zdefiniowanych standardów
kodowania. Jest to istotne narzędzie, dzięki któremu można zapewnić
czystość i spójność kodu. Może także pomóc w zapobieganiu popełniania
przez programistów pewnych częstych błędów semantycznych.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -p .%{_bindir}/phpcs $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/phpcs
%{php_pear_dir}/PHP/CodeSniffer
%{php_pear_dir}/PHP/CodeSniffer.php
%{php_pear_dir}/data/PHP_CodeSniffer
%changelog
* Tue Nov 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PHP_CodeSniffer.git;a=log;h=master

* Tue Nov 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4967333
- updated to 1.4.7

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 4f65214
- up to 1.4.5

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> 942e78c
- requires ctype ext

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> 76dc296
- ERROR: PHP_CodeSniffer requires the tokenizer extension to be enabled.

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 9f5e8b4
- cleanup

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> b7da5d5
- up to 1.4.3

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 5d2cc75
- suggest PHP_Timer from phpunit channel

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> adbd773
- help pear dependecy generator generate proper deps

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> cef3fae
- up to 1.4.0-stable

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 32e16ce
- updated to: 1.3.6

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 84db333
- up to 1.3.3

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 9bff18d
- up to 1.3.1

* Wed Aug 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b6574e
- epoch 2; rel 2, so will be never that previous RC

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 265f8ea
- up to 1.3.0 release

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 19c5d2b
- up to real 1.3.0RC2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d99b72a
- tests are no longer installed - don't try to remove them

* Tue Dec 21 2010 Elan Ruusamäe <glen@pld-linux.org> df44228
- new snap, svn r306534

* Mon Dec 20 2010 Elan Ruusamäe <glen@pld-linux.org> 5b6c826
- new snap (r306408)

* Fri Nov 19 2010 Elan Ruusamäe <glen@pld-linux.org> 5a441d6
- new snap:
  - Fixed bug #17860 : isReference function fails with references in array
  - Fixed bug #18073 : Squiz.PHP.NonExecutableCode fault

* Thu Nov 18 2010 Elan Ruusamäe <glen@pld-linux.org> c3b7c03
- 1.3.0RC2 svn snap

